<?php

namespace App\Classes\Modules\Orders\Services;

use App\Classes\General\Eloquent\AbstractFetchRecord;
use App\Models\Order;
use Illuminate\Database\Eloquent\Builder;

class FetchesOrder extends AbstractFetchRecord
{

    /** @var Order */
    private $repository;

    /**
     * FetchOrder constructor.
     * @param Order $repository
     */
    public function __construct(Order $repository)
    {
        $this->repository = $repository;
    }


    /**
     * @return Builder
     */
    public function getRepository(): Builder
    {
        return $this->repository->newQuery();
    }
}